<?php

// 圈主发布指定圈子的公告信息
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_set_circle_notice_new.php....Start.", 0);

//获取参数
$unionId = ParamUtil::getRequestString("unionId");
$circleId = ParamUtil::getRequestNumber("circleId", 0);//圈子id
$title = ParamUtil::getRequestString("title");//公告标题
$comment = ParamUtil::getRequestString("comment");//公告标题正文

$result = array();

//参数检查
if(empty($unionId) || empty($circleId)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

$result = array();

//判断用户是否存在
$param = array();
$param['unionid'] = $unionId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseNG($result);
}
$userMst = $userList[0];

//判断圈子是否存在
$circleDat = CircleDat::getById($circleId);
if(empty($circleDat)) {
	$result["message"] = "圈子不存在！";
	responseNG($result);
}

//判断是否为圈主
if($circleDat->owner_id != $userMst->id) {
	$result["message"] = "圈主才有权限发公告！";
	responseNG($result);
}

//发布公告
if(!empty($title) && !empty($comment)) {
	$noticeDat = new CircleNoticeDat();
	$noticeDat->circle_id = $circleDat->id;
	$noticeDat->title = $title;
	$noticeDat->comment = $comment;
	$noticeDat->save();
}
//上传图片到阿里云oss

if(!empty($_FILES['image']['tmp_name'])){
	//查找最新一条公告
	$param = array();
	$param['circle_id'] = $circleDat->id;
	$param['delete_flg'] = false;
	$noticeDatList = CircleNoticeDat::getList($param,"id","desc",0,1);
	if(!empty($noticeDatList)) {
		$noticeDat = $noticeDatList[0];
		$aliHandler = new AliUploadHandler();
		$upload_file = FileUploadUtil::getScalarFile(@$_FILES['image']);
		$tmp_file_name = date("Ymd") . "_" . trim(basename($upload_file->name));//保存的名字自定义，这里如果图片的名字原来的是aa.jp，保存成20200220_aa.jpg

		$url = $aliHandler->uploadImg($tmp_file_name, $upload_file->tmp_name);
		ErrorLogger::doOutput($url);
		//这里的url就是http://compass-dev.oss-cn-beijing.aliyuncs.com/20200220_aa.jpg
		$noticeDat->image = $url;
		$noticeDat->save();
	}
}

ErrorLogger::doOutput("Compass...ajax_set_circle_notice_new.php....End.", 0);

//返回结果
$result["message"] = "发布成功！";
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>